%global src_repo_tag   R_1_1_1
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/mpc

Name:           eclipse-mpc
Version:        1.1.1
Release:        1%{?dist}
Summary:        Eclipse Marketplace Client

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/mpc/
Source0:        http://git.eclipse.org/c/mpc/org.eclipse.epp.mpc.git/snapshot/%{src_repo_tag}.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-p2-discovery >= 1.0.0
Requires: eclipse-platform >= 3.6.0
Requires: eclipse-p2-discovery >= 1.0.0

%description
The Eclipse Marketplace Client provides access to extension catalogs.

%prep
%setup -q -n %{src_repo_tag}

%{__chmod} a-x org.eclipse.epp.mpc.feature/license.html

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.epp.mpc -d discovery

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.epp.mpc.zip 


%files
%{install_loc}
%doc org.eclipse.epp.mpc.feature/epl-v10.html
%doc org.eclipse.epp.mpc.feature/license.html

%changelog
* Fri Feb 10 2012 Alexander Kurtakov <akurtako@redhat.com> 1.1.1-1
- Update to upstream 1.1.1 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 13 2011 Alexander Kurtakov <akurtako@redhat.com> 1.1.0-2
- Use upstream sources.
- Adapt to current guidelines.

* Thu Jun 02 2011 Chris Aniszczyk <zx@redhat.com> 1.1.0-1
- Updating to the 1.1.0 release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 9 2010 Chris Aniszczyk <zx@redhat.com> 1.0.1-1
- Initial packaging
